// Author: Antonio Aloisio <gnuton@gnuton.org>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KBLOGGERIMAGEMANAGER_H
#define KBLOGGERIMAGEMANAGER_H

#include <qdir.h>

#include "kbloggerimagemanagerblank.h"

class KBloggerImageManager: public KBloggerImageManagerBlank {
	Q_OBJECT
	
	QImage *m_Image;
	QDir *m_tempDir;
	QString m_filename;
	public:
  		KBloggerImageManager(QDir* tmpDir, QWidget *parent = 0, const char *name = 0);
		void setImage(const QString& filename);

protected slots:
    virtual void saveResize();
    virtual void comboSizeChanged(int);
    virtual void widthChanged();
    virtual void recalcSize(const QString& width);

signals:
	void imageResized(const QString&);
};

#endif
